#!/bin/sh

echo "post-install"
docker pull portainer/portainer-ce:latest

CONTAINER_TEST=$(docker ps -a | grep Portainer | awk '{print $1}')

if [ ! -z $CONTAINER_TEST ]; then
	echo "Portainer container is there, remove it first."
	docker rm -f Portainer
fi

docker run -d --name=Portainer \
	-p 9000:9000 \
	-v /var/run/docker.sock:/var/run/docker.sock \
	-v portainer_data:/data \
	--restart=always \
	portainer/portainer-ce:latest \
	--templates "https://raw.githubusercontent.com/Qballjos/portainer_templates/master/Template/template.json"


case "$APKG_PKG_STATUS" in
	install)
		;;
	upgrade)
		oldim=$(docker images | grep portainer/portainer-ce | grep none | awk '{print $3}' )
		echo $oldim
		
		if [ ! -z $oldim ]; then 
			docker rmi -f $oldim
		fi
		;;
	*)
		;;
esac

exit 0
